<?php
class CuisinesController extends AppController {

	var $name = 'Cuisines';
	var $components = array('RequestHandler');	
	var $helpers = array('Html', 'Form', 'Text');
	
	function beforeFilter() {
		parent::beforeFilter();	
	} // beforeFilter	
	
	function admin_index() {
		$this->Cuisine->recursive = 0;	
		$this->set('cuisines', $this->paginate());
	} //admin_index
	
	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->Session->setFlash('Invalid Cuisine', true, array('class' => 'error'));
			$this->redirect($this->referer());			
		}
		if (!empty($this->data)) {
			if ($this->Cuisine->save($this->data)) {
				$this->Session->setFlash('The Cuisine has been saved.', true, array('class'=>'success'));
				$this->redirect(array('action' => 'index', 'admin' => true));							
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Cuisine->read(null, $id);
		}
		
		$this->set('no_search', false);
	} // admin_edit	
	
	function admin_add() {
		if (!empty($this->data)) {
			$this->Cuisine->create();
			if ($this->Cuisine->save($this->data)) {
				$this->Session->setFlash('Cuisine saved.', true, array('class'=>'success'));
				$this->redirect(array('action' => 'index', 'admin' => true));					
			} else {
				$this->Session->setFlash('Cuisine cound not be saved.', true, array('class'=>'error'));
			}
		}
	} // admin_add	
	
	function admin_delete($id = null) {
		if (!$id) {
			$this->Session->setFlash('Invalid Package', true, array('class' => 'error'));
			$this->redirect(array('action' => 'index', 'admin' => true));								
		}
		if ($this->Cuisine->del($id)) {
			$this->Session->setFlash('Cuisine deleted.', true, array('class'=>'success'));
			$this->redirect(array('action' => 'index', 'admin' => true));								
		}
	} // delete	

/*
	function index() {
		$this->Tag->recursive = 0;
		$this->set('cuisines', $this->Tag->find('all', array('conditions' => 'cuisine = 1', 'order' => 'Tag.name ASC')));
	}

	function view($name = null) {
		if (!$name) {
			$this->flash(__('Invalid Cuisine', true), array('action'=>'index'));
		}

		#find the restaurants
		$restaurants = $this->Tag->Restaurant->find('tag', array('tag' => $name));
		$ids = Set::extract($restaurants, '{n}.Restaurant.id');

		# set the where condition
		$str = 'Restaurant.id = null';
		if(sizeof($ids)) :
			$ids = implode(', ', $ids);
			$str = 'Restaurant.id IN (' . $ids . ')';
		endif;		
			
		$this->set('restaurants', $this->paginate('Restaurant', $str)); 			
		$this->set('cuisine', $this->Tag->findByName($name));
	}
*/

}
?>