<?php
class MenusController extends AppController {

	var $name = 'Menus';
	var $helpers = array('Html', 'Form');
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
	} // beforeFilter	
	
	function add($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid Restaurant', true));
			$this->redirect($this->referer());
		}
		
		if(($id != $this->me['User']['restaurant_id']) && !$this->me['User']['admin']) :
			$this->Session->setFlash('You may not edit restaurants other than your own.', true);
			$this->redirect(array('controller' => 'pages', 'action' => 'display', 'home'));
		endif;
		
		$this->Restaurant->recursive = -1;
		$restaurant = $this->Restaurant->read(null, $id);		
		$restaurant_id = $restaurant['Restaurant']['id'];
		
	# if you've got some files
		if($_FILES) :
			$conditions[] = 'Menu.restaurant_id = ' . $restaurant_id;
			$this->Menu->recursive = -1;
			$oldMenu = $this->Menu->find('first', array('conditions' => $conditions));		
		
			App::import('Vendor', 's3');
			S3::setAuth('AKIAJKSRFOALKQOWHBAQ', 'bc4GoE+e6+8JEmshpabnzziNPFUh9L+mlTTw5rep');		
		
		# check if the file is a pdf
			$extension = explode('.', $_FILES['data']['name']['Menu']['file']);
			$extension = $extension[sizeof($extension) - 1];
			
			if($extension == 'pdf') :
		
			# create a file name
				$filename = sha1($_FILES['data']['tmp_name']['Menu']['file'] . time()) . '.pdf';

			# get the file from tmp
				$file = $_FILES['data']['tmp_name']['Menu']['file'];
				$input = S3::inputResource(fopen($file, "rb"), filesize($file)); 
			
			# upload the file
			    if (S3::putObject($input, 'eats', 'menus/' . $filename, S3::ACL_PUBLIC_READ)) :
			        $this->Session->setFlash('Menu uploaded successfully.', true, array('class' => 'success'));
					
				# save the menu
					$this->Menu->create();
					$this->Menu->data['Menu']['restaurant_id'] = $restaurant_id;
					$this->Menu->data['Menu']['filename'] = $filename;
					$this->Menu->save();	
					
				# delete the old menus
					if(isset($oldMenu['Menu']['id'])) :
						$this->Menu->delete($oldMenu['Menu']['id']);
					endif;				
			
					$this->redirect($this->referer());			
			    else :
			        $this->Session->setFlash('Menu upload failed.', true, array('class' => 'error'));
					$this->redirect($this->referer());
			    endif;		
			else :
				$this->Session->setFlash('Menus must be .pdf\'s', true, array('class' => 'error'));
				$this->redirect($this->referer());
				exit();
			endif;
	# no files
		else :
			$this->Menu->recursive = -1;
			$currentMenu = $this->Menu->find('first', array('conditions' => 'Menu.restaurant_id = ' . $restaurant_id));
			$this->set('currentMenu', $currentMenu);
		endif;
		$this->set('no_search', true);
		$this->set('restaurant_id', $restaurant_id);
	} // add
	
} // class
?>