<?php
class PackagesController extends AppController {

	var $name = 'Packages';
	var $helpers = array('Html', 'Form');
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
	} // beforeFilter	

/*
	function index() {
		$this->Package->recursive = 0;
		$this->set('packages', $this->paginate());
	}

	function view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Package', true), array('action'=>'index'));
		}
		$this->set('package', $this->Package->read(null, $id));
	}

	function add() {
		if (!empty($this->data)) {
			$this->Package->create();
			if ($this->Package->save($this->data)) {
				$this->flash(__('Package saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
	}

	function edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid Package', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Package->save($this->data)) {
				$this->flash(__('The Package has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Package->read(null, $id);
		}
	}

	function delete($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Package', true), array('action'=>'index'));
		}
		if ($this->Package->del($id)) {
			$this->flash(__('Package deleted', true), array('action'=>'index'));
		}
	}
*/

	function admin_index() {
		$this->Package->recursive = 0;
		$this->set('packages', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Package', true), array('action'=>'index'));
		}
		$this->set('package', $this->Package->read(null, $id));
	}

	function admin_add() {
		if (!empty($this->data)) {
			$this->Package->create();
			if ($this->Package->save($this->data)) {
				$this->flash(__('Package saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid Package', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Package->save($this->data)) {
				$this->flash(__('The Package has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Package->read(null, $id);
		}
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Package', true), array('action'=>'index'));
		}
		if ($this->Package->del($id)) {
			$this->flash(__('Package deleted', true), array('action'=>'index'));
		}
	}

}
?>