<?php
class RestaurantsTagsController extends AppController {

	var $name = 'RestaurantsTags';
	var $helpers = array('Html', 'Form');
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
	} // beforeFilter	

	function index() {
		$this->RestaurantsTag->recursive = 0;
		$this->set('restaurantsTags', $this->paginate());
	}

	function view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid RestaurantsTag', true), array('action'=>'index'));
		}
		$this->set('restaurantsTag', $this->RestaurantsTag->read(null, $id));
	}

/*
	function add() {
		if (!empty($this->data)) {
			$this->RestaurantsTag->create();
			if ($this->RestaurantsTag->save($this->data)) {
				$this->flash(__('RestaurantsTag saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		$restaurants = $this->RestaurantsTag->Restaurant->find('list');
		$tags = $this->RestaurantsTag->Tag->find('list');
		$this->set(compact('restaurants', 'tags'));
	}

	function edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid RestaurantsTag', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->RestaurantsTag->save($this->data)) {
				$this->flash(__('The RestaurantsTag has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->RestaurantsTag->read(null, $id);
		}
		$restaurants = $this->RestaurantsTag->Restaurant->find('list');
		$tags = $this->RestaurantsTag->Tag->find('list');
		$this->set(compact('restaurants','tags'));
	}

	function delete($id = null) {
		if (!$id) {
			$this->flash(__('Invalid RestaurantsTag', true), array('action'=>'index'));
		}
		if ($this->RestaurantsTag->del($id)) {
			$this->flash(__('RestaurantsTag deleted', true), array('action'=>'index'));
		}
	}*/


	function admin_index() {
		$this->RestaurantsTag->recursive = 0;
		$this->set('restaurantsTags', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid RestaurantsTag', true), array('action'=>'index'));
		}
		$this->set('restaurantsTag', $this->RestaurantsTag->read(null, $id));
	}

	function admin_add() {
		if (!empty($this->data)) {
			$this->RestaurantsTag->create();
			if ($this->RestaurantsTag->save($this->data)) {
				$this->flash(__('RestaurantsTag saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		$restaurants = $this->RestaurantsTag->Restaurant->find('list');
		$tags = $this->RestaurantsTag->Tag->find('list');
		$this->set(compact('restaurants', 'tags'));
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid RestaurantsTag', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->RestaurantsTag->save($this->data)) {
				$this->flash(__('The RestaurantsTag has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->RestaurantsTag->read(null, $id);
		}
		$restaurants = $this->RestaurantsTag->Restaurant->find('list');
		$tags = $this->RestaurantsTag->Tag->find('list');
		$this->set(compact('restaurants','tags'));
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->flash(__('Invalid RestaurantsTag', true), array('action'=>'index'));
		}
		if ($this->RestaurantsTag->del($id)) {
			$this->flash(__('RestaurantsTag deleted', true), array('action'=>'index'));
		}
	}

}
?>