<?php
class TagsController extends AppController {

	var $name = 'Tags';
	var $helpers = array('Html', 'Form', 'Tagcloud');
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
	} // beforeFilter	

	function index() {
		$this->Tag->recursive = 0;
		$tags = $this->Tag->find('all');
		//$this->set('tags', $this->paginate());
		/*foreach($tags as $tag):
			$tags = array_merge($tags, array($tag['Tag']['name'] => $tag[0]['count']));
		endforeach;
		// array('tag_name_here' => 'score_value', 'Tagsclouds' => 34);
		*/
		$this->set('tags', $tags);
	}

	function view($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid Tag', true));
		}
		$this->set('tag', $this->Tag->read(null, $id));
	}

/*
	function add() {
		if (!empty($this->data)) {
			$this->Tag->create();
			if ($this->Tag->save($this->data)) {
				$this->setFlash(__('Tag saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		$restaurants = $this->Tag->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->setFlash(__('Invalid Tag', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Tag->save($this->data)) {
				$this->setFlash(__('The Tag has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Tag->read(null, $id);
		}
		$restaurants = $this->Tag->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function delete($id = null) {
		if (!$id) {
			$this->setFlash(__('Invalid Tag', true), array('action'=>'index'));
		}
		if ($this->Tag->del($id)) {
			$this->setFlash(__('Tag deleted', true), array('action'=>'index'));
		}
	}

*/

	function admin_index() {
		$this->Tag->recursive = 0;
		$this->set('tags', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid Tag', true));
		}
		$this->set('tag', $this->Tag->read(null, $id));
	}

	function admin_add() {
		if (!empty($this->data)) {
			$this->Tag->create();
			if ($this->Tag->save($this->data)) {
				$this->Session->setFlash('Tag saved.', true, array('class' => 'success'));
				$this->redirect(array('action' => 'index', 'admin' => true));
			} else {
				$this->Session->setFlash('Failed to save tag.', true, array('class' => 'error'));				
			}
		}
		$restaurants = $this->Tag->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->Session->setFlash('Invalid Tag', true, array('class' => 'error'));
			$this->redirect($this->referer());
		}
		if (!empty($this->data)) {
			if ($this->Tag->save($this->data)) {
				$this->Session->setFlash('The Tag has been saved.', true, array('class' => 'success'));
				$this->redirect($this->referer());				
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Tag->read(null, $id);
		}
		$restaurants = $this->Tag->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->Session->setFlash('Invalid Tag', true, array('class' => 'error'));
			$this->redirect($this->referer());
		}
		if ($this->Tag->del($id)) {
			$this->Session->setFlash('Tag deleted', true, array('class' => 'success'));
			$this->redirect($this->referer());
		}
	}

}
?>