<div class = "dashboard index">
	<div class = "column primary">
		<h2>Recently updated</h2>
		<table cellpadding="0" cellspacing="0">
		<tr>
			<th>Restaurant</th>
			<th>Modified</th>
			<th class="actions"><?php __('Actions');?></th>
		</tr>
		<?php
		$i = 0;
		foreach ($recentRestaurants as $restaurant):
			$class = null;
			if ($i++ % 2 == 0) {
				$class = ' class="altrow"';
			}
		?>
			<tr<?php echo $class;?>>
				<td>
					<a href = "<?php echo $html->base; ?>/admin/restaurants/edit/<?php echo $restaurant['Restaurant']['id']; ?>"><?php echo $restaurant['Restaurant']['name']; ?></a>
				</td>
				<td>
					<?php echo date(Configure::Read('Date.Format'), strtotime($restaurant['Restaurant']['updated'])); ?>
				</td>		
				<td class="actions">
					<?php echo $html->link(__('Administer', true), array('controller' => 'restaurants', 'action'=>'edit', $restaurant['Restaurant']['id'])); ?>&nbsp;|&nbsp;<?php echo $html->link(__('Edit', true), array('controller' => 'restaurants', 'action'=>'edit', 'admin' => false, $restaurant['Restaurant']['id'])); ?>					
				</td>
			</tr>
		<?php endforeach; ?>
		</table>
	
		<h2>Inaccurate</h2>
		<table cellpadding="0" cellspacing="0">
		<tr>
			<th>Restaurant</th>
			<th>Inaccurate</th>
			<th class="actions"><?php __('Actions');?></th>
		</tr>
		<?php
		$i = 0;
		if(sizeof($inaccurateRestaurants)) :
		foreach ($inaccurateRestaurants as $restaurant):
			$class = null;
			if ($i++ % 2 == 0) {
				$class = ' class="altrow"';
			}
		?>
			<tr<?php echo $class;?>>
				<td>
					<a href = "<?php echo $html->base; ?>/admin/restaurants/edit/<?php echo $restaurant['Restaurant']['id']; ?>"><?php echo $restaurant['Restaurant']['name']; ?></a>
				</td>
				<td>
					<?php echo $restaurant['Restaurant']['inaccurate']; ?>
				</td>		
				<td class="actions">
					<?php echo $html->link(__('Administer', true), array('controller' => 'restaurants', 'action'=>'edit', $restaurant['Restaurant']['id'])); ?>&nbsp;|&nbsp;<?php echo $html->link(__('Edit', true), array('controller' => 'restaurants', 'action'=>'edit', 'admin' => false, $restaurant['Restaurant']['id'])); ?>					
				</td>
			</tr>
		<?php 
			endforeach; 
			else : ?>
			<tr>
				<td colspan = "3">Nothing has been reported inaccurate.</td>
			</tr>
		<?php 
			endif;
		?>
		</table>
		
		<h2>Voted</h2>
		<table cellpadding="0" cellspacing="0">
		<tr>
			<th>Restaurant</th>
			<th>Number of votes</th>
			<th>Average stars</th>
			<th class="actions"><?php __('Actions');?></th>
		</tr>
		<?php
		$i = 0;
		if(sizeof($votedRestaurants)) :
		foreach ($votedRestaurants as $restaurant):
			$class = null;
			if ($i++ % 2 == 0) {
				$class = ' class="altrow"';
			}
		?>
			<tr<?php echo $class;?>>
				<td>
					<a href = "<?php echo $html->base; ?>/admin/restaurants/edit/<?php echo $restaurant['Restaurant']['id']; ?>"><?php echo $restaurant['Restaurant']['name']; ?></a>
				</td>
				<td>
					<?php echo $restaurant['Restaurant']['rating_votes']; ?>
				</td>		
				<td>
					<?php echo $restaurant['Restaurant']['rating']; ?>
				</td>				
				<td class="actions">
					<?php echo $html->link(__('Administer', true), array('controller' => 'restaurants', 'action'=>'edit', $restaurant['Restaurant']['id'])); ?>&nbsp;|&nbsp;<?php echo $html->link(__('Edit', true), array('controller' => 'restaurants', 'action'=>'edit', 'admin' => false, $restaurant['Restaurant']['id'])); ?>					
				</td>
			</tr>
		<?php 
			endforeach; 
			else : ?>
			<tr>
				<td colspan = "3">Nothing has been reported inaccurate.</td>
			</tr>
		<?php 
			endif;
		?>
		</table>		
	</div> <!-- // column primary -->

	<div class = "column secondary">
		<h2>Useful links</h2>
		<ul>
			<li><a href = "<?php echo $html->base; ?>/admin/restaurants/add">Add restaurant</a></li>
			<li><a href = "<?php echo $html->base; ?>/admin/cuisines/add">Add cuisine</a></li>
			<li><a href = "<?php echo $html->base; ?>/admin/users/add">Add user</a></li>
		</ul>
		<h2>Search</h2>
		<div id = "searchForm" <?php if($this->action == 'nearby') echo 'style = "display:none"'; ?>>
			<form id="searchResultForm" action="<?php echo $html->base; ?>/admin/search/results" class = "hform" method="post">						
				<?php echo $form->input('es', array('class' => 'textbox', 'label' => false, 'value' =>  $search_content)); ?>
			<?php echo $form->end('Search Eats!');?>	
		</div> <!-- // searchForm -->
	</div> <!-- // column secondary -->
</div> <!-- // dashboard index -->