<div id="searchResults">
	<?php if(sizeof($restaurants) > 0) : ?>
	<?php foreach($restaurants as $restaurant) : ?>
		<?php //debug($restaurant); ?>		
	<div class = "result">
		<div class = "padding wrapper">
			<h2><?php echo $restaurant['Restaurant']['name']; ?></h2>
			<p class = "address"><?php echo $restaurant['Restaurant']['street']; ?></p>
			<p class = "tags"><span>Tags:</span> 		
				<a class = "cuisineTag" href = "<?php echo $html->base; ?>/restaurants/cuisine/<?php echo $restaurant['Cuisine']['name']; ?>"><?php echo ucwords($restaurant['Cuisine']['name']); ?></a> 
			
				<?php if($restaurant['Restaurant']['vegetarian']) : ?>
					, <a class = "vegetarianTag" href = "<?php echo $html->base; ?>/restaurants/vegetarian">Vegetarian</a>
				<?php endif; ?>
			
				<?php if($restaurant['Restaurant']['vegan']) : ?>
					, <a class = "veganTag" href = "<?php echo $html->base; ?>/restaurants/vegan">Vegan</a>
				<?php endif; ?>			
			
				<?php if(sizeof($restaurant['Tag']) > 0) : ?>
				<?php foreach($restaurant['Tag'] as $tag) : ?>
					, <a href = "<?php echo $html->base; ?>/restaurants/tag/<?php echo $tag['name']; ?>"><?php echo strtolower($tag['name']); ?></a>
				<?php endforeach; ?>		
				<?php endif; ?>
			</p>
			<?php echo $form->input('restaurant_slug-' . $restaurant['Restaurant']['slug'], array('type' => 'hidden', 'value' => $restaurant['Restaurant']['slug'], 'class' => 'restaurant-slug')); ?>
			<div class = "eatsStars">
				<div style = "width: <?php echo ($restaurant['Restaurant']['rating']/5 * 100); ?>%;">&nbsp;</div>			
				<div class = "mask">&nbsp;</div>			
			</div> <!-- // eats-cost -->

			<div class = "eatsCost">
				<div style = "width: <?php echo ($restaurant['Restaurant']['cost']/5 * 100); ?>%;">&nbsp;</div>			
				<div class = "mask">&nbsp;</div>			
			</div> <!-- // eats-cost -->
		</div> <!-- // padding -->
	</div> <!-- // result -->
	<?php endforeach; ?>
	<?php else : ?>
	<p class = "note">No restaurants found!</p>
	<?php endif; ?>		
</div><!-- // searchResults -->