<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Keywords" content="" />
	<meta name="Description" content="" />
	<meta name="city" content="" />
	<meta name="state" content="" /> 
	<meta name="country" content="United States" />
	<meta name="zipcode" content="" />
	
	<title>Welcome to RVAEats</title>

	<link rel="SHORTCUT ICON" href="" /> 
	<link rel="stylesheet" href="/css/style.css" type="text/css" media="screen" />
	
	<!--[if IE 7]>
	<style type = "text/css" media = "screen"> @import "/css/ie7.css";</style>
	<![endif]-->	
	<!--[if lte IE 6]>
	<style type = "text/css" media = "screen"> @import "/css/ie6.css";</style>
	<![endif]-->
	
	<?php /*
	<script src="/js/prototype.js" type="text/javascript"></script>
	<script src="/js/lowpro.packed.js" type="text/javascript"></script>	
	<script src="/js/scriptaculous.js?load=effects,builder" type="text/javascript"></script>
	<script src="/js/vcom.js" type="text/javascript"></script>
	*/?>
	<?php //echo $scripts_for_layout; ?>
</head>
<body>
	<div id = "header">
		<h1>RVAEats</h1>
		<p class = "tagline">Find Richmond, Virginia's finest cuisines and local<br /> hot spots including restaurant listings, reviews, and menus.</p>		
	</div> <!-- // header -->
	
	<div id = "content">
		<div class="single">
			<h2>Create Your Account</h2>
			<p>We try to make this process as easy as possible. Please enter some general information below, we need information about you, your restaurant, and the type of account you are signing up for. After you hit continue we'll get your payment information and you'll be on your way to getting listed on the site. You'll have a chance later to enter in additional information depending on which account you sign up for. So go ahead and get started!</p>
			<form action="/pages/payment" method="post">
				<ul class="form">
					<h3 class="alt">User Information</h3>
					<li><label for="username">Username</label><input type="text" class="textbox" name="username" id="username" value="" /></li>
					<li><label for="pw">Choose Password</label><input type="password" class="password textbox" name="pw" id="pw" value="" /></li>
					<li><label for="confirm_pw">Confirm Password</label><input type="password" class="password textbox" name="confirm_pw" id="confirm_pw" value="" /></li>
					
					<h3 class="alt">Personal Information</h3>
					<li><label for="fname">First Name</label><input type="text" name="fname" class="textbox" id="fname" value="" /></li>
					<li><label for="lname">Last Name</label><input type="text" name="lname" class="textbox" id="lname" value="" /></li>
					<li><label for="email">Email</label><input type="text" name="email"class="textbox" id="email" value="" /></li>
					<li><label for="phone">Phone Number</label><input type="text" class="phone textbox" name="phone" id="phone" value="" /></li>
					
					<h3 class="alt">Restaurant Information <span class="detail"> - You will be able to fill out more information once your account is activated.</span></h3>
					<li><label for="rName">Name</label><input type="text" name="rName" class="textbox" id="rName" value="" /></li>
					<li><label for="rAddress">Address</label><input type="text" name="rAddress" class="address textbox" id="rAddress" value="" /></li>
					<li><label for="rCity">City, State Zip</label><input type="text" name="rCity" class="textbox" id="rCity" value="" />, <input type="text" name="rState" class="state textbox" id="rState" value="VA" disabled />&nbsp;&nbsp;&nbsp;<input type="text" name="rZip" class="zip textbox" id="rZip" value="" /></li>
					<li><label for="rPhone">Phone Number</label><input type="text" name="rPhone" class="phone textbox" id="rPhone" value="" /></li>
					<li><label for="rFax">Fax Number</label><input type="text" name="rFax" class="phone textbox" id="rFax" value="" /></li>
					
					
					
					<div id="accountTypes">
						<h3 class="alt">Choose Your Account - <span class="detail"><a href="/pages/rates/">Compare Account Features</a></span></h3>
						<li class="radio"><input type="radio" name="accountType" id="appetizer" value="appetizer" /><label for="appetizer">Appetizer ($12/Month)</label></li>
						<li class="radio"><input type="radio" name="accountType" id="course1" value="course1" /><label for="course1">1st Course ($16/Month)</label></li>
						<li class="radio"><input type="radio" name="accountType" id="course2" value="course2" /><label for="course2">2nd Course ($20/Month)</label></li>
						<li class="checkbox"><input type="checkbox" id="siteSponsorInfo" name="siteSponsorInfo" value="Yes" /><label for="siteSponsorInfo">I would like more information on becoming a site sponsor</label></li>
					</div>
					
					<li><input type="submit" name="submit" id="submit" value="Continue to Payment" /></li>
				</ul>
				
			</form>
			<p><a href="">Privacy Statement</a> | <a href="">Security Capabilities and Policies</a></p>
		</div><!-- single -->
	</div> <!-- // content -->
</body>
</html>