<div class="restaurants form">
<?php echo $form->create('Restaurant', array('class' => 'hform'));?>
	<div class = "header wrapper">
		<h1>Edit <?php echo $this->data['Restaurant']['name']; ?></h1><p class = "viewRestaurant">| <a href = "<?php echo $html->base; ?>/restaurants/view/<?php echo $this->data['Restaurant']['slug']; ?>">view restaurant page &raquo;</a></p>
	</div>
	<h2>Information</h2>
	<?php
		echo $form->input('id');
		echo $form->input('slug', array('type' => 'hidden'));
		echo $form->input('name', array('type' => 'hidden'));
		echo $form->input('phone');
		echo $form->input('email');
		echo $form->input('website');
		echo $form->input('facebook', array('label' => 'Facebook link'));		
		echo $form->input('twitter', array('label' => 'Twitter username'));		
		echo $form->input('description', array('class' => 'tinymce'));		
		echo $form->input('hours', array('type' => 'textarea'));				
		echo $form->input('cuisine_id', array('options' => $cuisinelist));	
		echo $form->input('area_id', array('options' => $arealist));			
	?>
	
	<hr />
	
	<h2>Tags</h2>
	<div class = "notice">
		<p>Tags are keywords that describe your restaurant. Here are a couple of guidelines to keep in mind while choosing tags:</p>
		<ul>
			<li>Keep your keywords specific. Since they are used in the search, the more specific the better. Think about what your customers will be searching for.</li>
			<li>Try and use tags that already exist. For example, if a "sports-bar" tag already exists, use that one instead of "sport-bar".</li>
			<li>Don't use cuisine types as tags. When users browse by cuisine types it does not take tags into account.</li>
			<li>You can only have 10 tags , so keep them specific.</li>	
		</ul>
	</div> <!-- // notice -->
	<?php 				
		echo $form->input('taglist', array('type' => 'textarea', 'value' => $taglist, 'label' => false));
	?>
	<?php $tags = $tagcloud->create($tags); ?>
	<?php if(sizeof($tags)) : ?>
	<div class = "tagcloud">
		<p class = "cloudlink"><a href = "#">Show all tags</a></p>
		<p class = "tags">
		<?php 
		$last = end(array_keys($tags));
		foreach($tags as $tagname => $tag) :
			echo '<a style = "font-size: ' . $tag['size'] . '%" href = "#">' . $tagname . '</a>';
			if($tagname != $last) :
				echo ', ';
			endif;
		endforeach; ?>
		</p>
		<?php endif; ?>
	</div> <!-- // tagcloud -->
	
	<?php echo $form->end('Submit');?>

	<hr />
	
	<div class = "picture wrapper">
		<h2>Picture</h2>
		<img class = "currentPicture" src = "<?php echo $html->base; ?>/img/pictures/<?php echo $currentPicture['Picture']['id']; ?>.jpg" alt = "" />	
		<ul>
			<li><a href = "<?php echo $html->base; ?>/pictures/add/<?php echo $restaurant_id; ?>">Upload a new picture &raquo;</a></li>
		</ul>
	</div> <!-- // picture -->
	
	<hr />
	
	<h2>Menu</h2>
	<ul>
		<li><a href = "<?php echo $html->base; ?>/menus/add/<?php echo $restaurant_id; ?>">Upload a new menu &raquo;</a></li>	
	</ul>
	<?php if($currentMenu) : ?>		
	<h3>Current Menu</h3>
	<ul>
		<li><a href = "http://eats.s3.amazonaws.com/menus/<?php echo $currentMenu['Menu']['filename']; ?>">Download current menu</a></li>
	</ul>
	<?php endif; ?>	
	
	<hr />
	
	<h2>Reviews</h2>
	<ul>
		<li><a href = "<?php echo $html->base; ?>/reviews/restaurant/<?php echo $restaurant_id; ?>">Manage your reviews &raquo;</a></li>
	</ul>
	<?php if(sizeof($reviewlist) > 0) :?>
	<h3>Current reviews</h3>
	<ul>
	<?php foreach($reviewlist as $review) : ?>
		<li><a href = "<?php echo $review['Review']['url']; ?>"><?php echo $review['Review']['title']; ?></a> from <a href = "<?php echo $review['Review']['source_url']; ?>"><?php echo $review['Review']['source_name']; ?></a></li>
	<?php endforeach; ?>
	</ul>
	<?php endif; ?>
</div>
<?php $javascript->link('http://maps.google.com/maps/api/js?sensor=true', false); ?>
<?php $javascript->link(array('tiny_mce/jquery.tinymce.js', 'RestaurantEdit'), false); ?>