<?php //debug($restaurant); ?>
<?php echo $form->hidden('Restaurant.slug', array('value' => $restaurant['Restaurant']['slug'])); ?>
<div class = "restaurant view">
	<div id = "mapContainer">
		<p class = "viewMap"><a href = "#">View Map</a></p>		
		<div class = "padding"><div id = "map" style = "height: 290px">&nbsp;</div></div>
	</div>
	
	<div class = "info">	
		<h1><?php echo $restaurant['Restaurant']['name']; ?></h1>
		
		<?php if($restaurant['Restaurant']['package_id'] == 2) : ?>
		<?php echo $this->element('extra_info', array('restaurant' => $restaurant)); ?>		
		<?php endif; ?>
	
		<div id = "ratingsContainer" class = "clearfix">
			<div class = "ratingsText">click to rate:</div>
			<div class = "eatsRating clearfix">
				<ul>
					<li class = "r1">
						<img src = "<?php echo $html->base; ?>/img/stars-mask.png" />
					</li>
					<li class = "r2">
						<img src = "<?php echo $html->base; ?>/img/stars-mask.png" /> 					
					</li>
					<li class = "r3">
						<img src = "<?php echo $html->base; ?>/img/stars-mask.png" />					
					</li>
					<li class = "r4">
						<img src = "<?php echo $html->base; ?>/img/stars-mask.png" />					
					</li>
					<li class = "r5 last">
						<img src = "<?php echo $html->base; ?>/img/stars-mask.png" />					
					</li>													
				</ul>
				<div style = "width: <?php echo ($restaurant['Restaurant']['rating']/5 * 100); ?>%">&nbsp;</div>
			</div> <!-- // eatsRating -->	
		</div> <!-- // ratingsContainer -->
	
		<hr />		
	
		<div class = "wrapper">
			<div class = "col first">
				<h2>Cost</h2>
				<?php if($restaurant['Restaurant']['cost']) : ?>
				<div class = "eatsCost">
					<div style = "width: <?php echo ($restaurant['Restaurant']['cost']/5 * 100); ?>%;">&nbsp;</div>			
					<div class = "mask">&nbsp;</div>			
				</div> <!-- // eats-cost -->	
				<?php else : ?>		
				<p class = "note">Unavailable</p>
				<?php endif; ?>
		
				<h2>Hours</h2>
				<?php if($restaurant['Restaurant']['hours']) : ?>			
				<p><?php echo nl2br($restaurant['Restaurant']['hours']); ?></p>
				<?php else : ?>
				<p class = "note">Unavailable</p>
				<?php endif; ?>
				
				<?php if($restaurant['Restaurant']['package_id'] == 2 && isset($restaurant['Menu']['filename'])) : ?>
				<p class = "menu"><a href = "http://eats.s3.amazonaws.com/menus/<?php echo $restaurant['Menu']['filename']; ?>">Download a PDF of the menu.</a></p>
				<?php endif; ?>
			</div> <!-- // col -->
	
			<div class = "col">
				<h2>Contact</h2>
				<p>
					<?php if($restaurant['Restaurant']['website']) : ?>
					<a href = "<?php echo $restaurant['Restaurant']['website']; ?>"><?php echo $restaurant['Restaurant']['website']; ?></a><br />
					<?php endif;?>
					<?php echo $restaurant['Restaurant']['street']; ?><br />
					<?php if($restaurant['Restaurant']['phone']): ?>
					<?php echo $restaurant['Restaurant']['phone']; ?><br />
					<?php endif; ?>
					Short URL: <a href = "http://rvane.ws/e/<?php echo $restaurant['Restaurant']['id']; ?>">http://rvane.ws/e/<?php echo $restaurant['Restaurant']['id']; ?></a><br />					
					<?php if($restaurant['Restaurant']['package_id'] == 2 && ($restaurant['Restaurant']['facebook'] || $restaurant['Restaurant']['twitter'])) : ?>
					<div class = "socialMedia">
						<?php if($restaurant['Restaurant']['facebook']) : ?>
						<span class = "facebook"><a href = "<?php echo $restaurant['Restaurant']['facebook']; ?>">Facebook page &raquo;</a></span>
						<?php endif; ?>
						<?php if($restaurant['Restaurant']['twitter']) : ?>
						<span class = "twitter"><a href = "http://twitter.com/<?php echo $restaurant['Restaurant']['twitter']; ?>">@<?php echo $restaurant['Restaurant']['twitter']; ?> &raquo;</a><span>					
						<?php endif;?>
					</div> <!-- // socialMedia -->
					<?php endif; ?>
				</p>
		
				<p class = "inaccurate"><a href = "#">Flag this information as inaccurate</a></p>
			</div> <!-- // col -->
		</div> <!-- // wrapper -->
		
		<hr />	
		
		<p class = "tags"><span>Tags:</span> 		
			<a class = "cuisineTag" href = "<?php echo $html->base; ?>/restaurants/cuisine/<?php echo $restaurant['Cuisine']['name']; ?>"><?php echo ucwords($restaurant['Cuisine']['name']); ?></a> 
			
			<?php if($restaurant['Restaurant']['vegetarian']) : ?>
				, <a class = "vegetarianTag" href = "<?php echo $html->base; ?>/restaurants/vegetarian">Vegetarian</a>
			<?php endif; ?>
			
			<?php if($restaurant['Restaurant']['vegan']) : ?>
				, <a class = "veganTag" href = "<?php echo $html->base; ?>/restaurants/vegan">Vegan</a>
			<?php endif; ?>			
			
			<?php if(sizeof($restaurant['Tag']) > 0) : ?>
			<?php foreach($restaurant['Tag'] as $tag) : ?>
				, <a href = "<?php echo $html->base; ?>/restaurants/tag/<?php echo $tag['name']; ?>"><?php echo ucwords($tag['name']); ?></a>
			<?php endforeach; ?>		
			<?php endif; ?>
		</p> <!-- // tags -->		
	</div> <!-- // info -->
</div> <!-- // restaurant view -->
<?php $javascript->link('http://maps.google.com/maps/api/js?sensor=true', false); ?>
<?php $javascript->link(array('RestaurantView'), false); ?>
<?php $this->set('title', $restaurant['Restaurant']['name'] . ' , Richmond, Virginia (VA) '); ?>