<div class="reviews index">
<div class = "header wrapper">
	<h1>Add a new review</h1>	
	<p>| <a href = "<?php echo $html->base; ?>/restaurants/edit/<?php echo $restaurant_id; ?>">&laquo; return to editing</a></p>
</div> <!-- // header -->

<?php if(sizeof($reviews) < $numberOfReviews) :?>
<ul>
	<li><?php echo $html->link(__('New Review', true), array('controller' => 'reviews', 'action'=>'add', $restaurant_id)); ?></li>
</ul>
<?php else : ?>
<div class = "notice">
	You can only have five reviews at a time. To add a new one delete one of your current reviews.</p>
</div>
<?php endif; ?>

<h2>Current reviews</h2>

<table cellpadding="0" cellspacing="0">
<tr>
	<th>Source</th>	
	<th>Review</th>
	<th class="actions">&nbsp;</th>
</tr>
<?php
if(sizeof($reviews)) :
$i = 0;
foreach ($reviews as $review):
	$class = null;
	if ($i++ % 2 == 0) {
		$class = ' class="altrow"';
	}
?>
	<tr<?php echo $class;?>>
		<td>
			<a href = "<?php echo $review['Review']['source_url']; ?>"><?php echo $review['Review']['source_name']; ?></a>
		</td>	
		<td>
			<a href = "<?php echo $review['Review']['url']; ?>"><?php echo $review['Review']['title']; ?></a>
		</td>
		<td class="actions">
			<?php echo $html->link(__('Edit', true), array('controller' => 'reviews', 'action'=>'edit', $restaurant_id, $review['Review']['id'])); ?>
			<?php echo $html->link(__('Delete', true), array('controller' => 'reviews', 'action'=>'delete', $restaurant_id, $review['Review']['id']), null, sprintf(__('Are you sure you want to delete this review from %s', true), $review['Review']['source_name'])); ?>
		</td>
	</tr>
<?php endforeach; 
else :
?>
<tr>
	<td colspan = "3"><em>No reviews found.</em></td>
</tr>
<?php endif; ?>
</table>
</div>
