SearchMapContainer = $.klass(MapContainer, {
	foundLocation : function(position, scope) {	
		var lat = position.coords.latitude;
		var lon = position.coords.longitude;
		var radius = .15;
				
		$.post('/eats/restaurants/location/lat:' + lat + '/lon:' + lon + '/radius:' + radius + '.json', {lat: position.coords.latitude, lon: position.coords.longitude}, function(restaurants){
			if(restaurants.length > 0) {
				$.each(restaurants, function(){
					$(this).data('Point', {
						'lat': this.Restaurant.lat,
						'lon': this.Restaurant.lon,					
						'text': scope.buildInfoWindow(this)						
					});
				});
				scope.plotPointsJSON(restaurants);
			}
		}, 'json');
	},
	mysteriousLocation : function() {
		alert('Fail');
	},
	loadMapData: function() {
		var self = this;
		navigator.geolocation.getCurrentPosition(function(position){
			self.foundLocation(position, self);
		}, this.mysteriousLocation);
	}
}); // SearchMapContainer

$(document).ready( function() {
	$('#mapContainer').attach(SearchMapContainer);	
});