SearchMapContainer = $.klass(MapContainer, {
	foundLocation : function(position) {
		$.post("/eats/restaurants/nearby.json", {lat: position.coords.latitude, lon: position.coords.longitude}, function(restaurants){
			alert(restaurants.length);
			if(restaurants.length > 0) {
				$.each(restaurants, function(){
					$(this).data('Point', {
						'lat': this.Restaurant.lat,
						'lon': this.Restaurant.lon,					
						'text': self.buildInfoWindow(this)						
					});
				});
				self.plotPointsJSON(restaurants);
			}
		}, 'json');
	},
	mysteriousLocation : function() {
		alert('Fail');
	},
	loadMapData: function() {
		var search = $('#el').val();
		var self = this;
		
		if(!search.indexOf('richmond')) {
			search = search + ' richmond va';
		}

		// if you've got iphones / location jams
		if(navigator.geolocation) {
			navigator.geolocation.getCurrentPosition(this.foundLocation, this.mysteriousLocation);
		// otherwise go regular
		} else {
			$.post("/eats/restaurants/nearby.json", {el: search, lat: this.currentLat, lon: this.currentLon}, function(restaurants){
				if(restaurants.length > 0) {
					$.each(restaurants, function(){
						$(this).data('Point', {
							'lat': this.Restaurant.lat,
							'lon': this.Restaurant.lon,					
							'text': self.buildInfoWindow(this)						
						});
					});
					self.plotPointsJSON(restaurants);
				}
			}, 'json');		
		}
	}
}); // SearchMapContainer

if(navigator.geolocation) {
	navigator.geolocation.getCurrentPosition(function(position) {
		var lat = position.coords.latitude;
		var lon = position.coords.longitude;
		var radius = .3;
		window.location = '/eats/restaurants/location/lat:' + lat + '/lon:' + lon + '/radius:' + radius;			
	});		
} 

$(document).ready( function() {
	if(!navigator.geolocation) {	
		$('#mapContainer').attach(SearchMapContainer);	
	}
});