var map;

//Behaviors ====================================================================
//==============================================================================
Event.addBehavior({

});

//OnReady ======================================================================
//==============================================================================
Event.onReady(function() {
		
		if($F('code') == '200') {
			console.log($('map'));
			map = new GMap2(document.getElementById('map'),{
                 size : {width:513, height: 300}});
            
                 
			map.setCenter(new GLatLng(37.546483, -77.4438), 13);
			map.addControl(new GSmallMapControl());	
				
			var url = '/restaurants/nearby.xml';
			
			new Ajax.Request(url, {
				method: 'post',
				postBody: 'address=' + $F('address') + '&radius=' + $F('radius'), 
				onSuccess: function(transport) {
					var strXML = transport.responseText;
					var xml = GXml.parse(strXML);			
					var restaurants = xml.getElementsByTagName('restaurant');
					
					for(var i = 0; i < restaurants.length; i ++) {
						var lat = restaurants[i].getElementsByTagName('lat');
						var lon = restaurants[i].getElementsByTagName('lon');
						
						lat = GXml.value(lat[0]);
						lon = GXml.value(lon[0]);		
						
						//extend the bounds
						var point = new GLatLng(lat, lon);
						
						//plot the point
						var html = createRestaurantMarkerHTML(restaurants[i]);
						var marker = createMarker(point, html);
						map.addOverlay(marker);
					}
					
					var point = new GLatLng($F('lat'), $F('lon'));
					map.addOverlay(drawCircle(point, $F('radius')));

					var bounds = getCircleBounds(point, $F('radius'));					
					map.setZoom(map.getBoundsZoomLevel(bounds));
					map.setCenter(point);
					
					GEvent.addListener(map, "infowindowclose", function() {
						map.setCenter(bounds.getCenter());
					}); 							
				}
			});
		}
});