var map;

//Behaviors ====================================================================
//==============================================================================
Event.addBehavior({
	'.utilityLink:click' : function(e) {  
		var utility = findUtility(this);
		var disp = utility.getStyle('display');
		
		//if the map isn't loaded
 		if (!map) {
			map = new GMap2(document.getElementById('map'),{
                 size : {width:513, height: 300}});
                 
			map.setCenter(new GLatLng(37.546483, -77.4438), 13);
			map.addControl(new GSmallMapControl());	
				
			var url = '/search/results.xml';
			
			new Ajax.Request(url, {
				method: 'post',
				postBody: 's=' + $F('s'),
				onSuccess: function(transport) {
					var strXML = transport.responseText;
					var xml = GXml.parse(strXML);			
					var restaurants = xml.getElementsByTagName('restaurant');
					
					var bounds = new GLatLngBounds();
					
					for(var i = 0; i < restaurants.length; i ++) {
						var lat = restaurants[i].getElementsByTagName('lat');
						var lon = restaurants[i].getElementsByTagName('lon');
						
						lat = GXml.value(lat[0]);
						lon = GXml.value(lon[0]);		
						
						//extend the bounds
						var point = new GLatLng(lat, lon);
						bounds.extend(point);
						
						//plot the point 
						var html = createRestaurantMarkerHTML(restaurants[i]);
						var marker = createMarker(point, html);
						map.addOverlay(marker);
					}
					
					map.setZoom(map.getBoundsZoomLevel(bounds));
					map.setCenter(bounds.getCenter());
					GEvent.addListener(map, "infowindowclose", function() {
						map.setCenter(bounds.getCenter());
					}); 							
				}
			});
		}
	return false; 		
	}	
});

//OnReady ======================================================================
//==============================================================================
Event.onReady(function() {

});