//OnReady ======================================================================
//==============================================================================
Event.onReady(function() {
	var lat = $F('RestaurantLat');
	var lon = $F('RestaurantLon');
	
	var map = new GMap2(document.getElementById('miniMap'));
	map.setCenter(new GLatLng(lat, lon), 15);
	map.addControl(new GSmallMapControl());	

	var url = '/restaurants/view/' + $F('RestaurantSlug') + '/view.xml';
	
	new Ajax.Request(url, {
		method: 'post',
		onSuccess: function(transport) {
			var strXML = transport.responseText;
			var xml = GXml.parse(strXML);			
			var restaurants = xml.getElementsByTagName('restaurant');
			
			var bounds = new GLatLngBounds();
			
			for(var i = 0; i < restaurants.length; i ++) {
				var lat = restaurants[i].getElementsByTagName('lat');
				var lon = restaurants[i].getElementsByTagName('lon');
				
				lat = GXml.value(lat[0]);
				lon = GXml.value(lon[0]);		
				
				//extend the bounds
				var point = new GLatLng(lat, lon);
				
				//plot the point
				var point = new GLatLng(lat,lon);
				var marker = createMarker(point);
				map.addOverlay(marker);
			}
			
			GEvent.addListener(map, "infowindowclose", function() {
				map.setCenter(new GLatLng(lat, lon), 15);
			}); 							
		}
	});
});