//Functions ====================================================================
//==============================================================================
function findUtility (e) { 
	e = e.ancestors();
	//look for nearest ancestor that is "utilityBar" and then get the "utility"
	var i = 0;
	while(!e[i].hasClassName('utilityBar'))	{ i ++; }
	e = e[i];
	var utility = e.getElementsByClassName('utility');
	utility = utility[0];
	
	return utility;
} // findUtility

function revealSearch (e) {
	var browse = $$('#tabs li.browse a');
	browse = browse[0];
	var search = e;

	$('currentSearchMethod').value = 'search';

	Element.setStyle(browse, {
		backgroundPosition: '0px 0px'
	});

	Element.setStyle(search, {
		backgroundPosition: '0px 0px'
	});		
	
	new Effect.SlideDown($('mainSearch'), {duration: .3});
	new Effect.SlideUp($('mainBrowse'), {duration: .3});	
} // revealSearch

function revealBrowse (e) {
	var search = $$('#tabs li.search a');
	search = search[0];
	var browse = e;

	$('currentSearchMethod').value = 'browse';

	Element.setStyle(browse, {
		backgroundPosition: '0px -20px'
	});

	Element.setStyle(search, {
		backgroundPosition: '0px -20px'
	});			
	
	new Effect.SlideUp($('mainSearch'), {duration: .3});
	new Effect.SlideDown($('mainBrowse'), {duration: .3});			
} // revealBrowse

//Behaviours ===================================================================
//==============================================================================
Event.addBehavior({
	  '#AddRestaurantFetchLatLon:click' : function(e) {  
			var addy = $F('RestaurantStreet') + ' ' + $F('RestaurantCity') + ' ' + $F('RestaurantState') + ' ' + $F('RestaurantZip');
	
			var gcoder = new GClientGeocoder();
			gcoder.getLatLng(addy, function(response) {
				$('RestaurantLat').value = response.y;
				$('RestaurantLon').value = response.x;			
			});
	
			return false;
	  },
	'.utilityLink:click' : function(e) {  
		var container = this.ancestors();
		
		var utility = findUtility(this);
		
		new Effect.toggle(utility, 'blind', {duration: .3});
		
		return false; 
	},
	'#tabs li.search a:click' : function(e) {  
		if($F('currentSearchMethod') == 'browse') {
			revealSearch(this)			
		}
		
		return false; 
	},
	'#tabs li.browse a:click' : function(e) { 
		if($F('currentSearchMethod') == 'search') {
			revealBrowse(this);
		}
		
		return false; 
	}		
});

//OnReady ======================================================================
//==============================================================================
Event.onReady(function() {
	if($F('currentSearchMethod') == 'browse') {
		var searchTab = $$('#tabs li.browse a');
		searchTab = searchTab[0];
		revealBrowse(searchTab);
	}
});