<?php

$userInfo = $_POST;

/*Format the Payment Options */

switch ($userInfo['package']){
	case "A":
		$userInfo['price']['six'] = 72.00;
		$userInfo['price']['twelve'] = 144.00;
		break;
		
	case "C1":
		$userInfo['price']['six'] = 96.00;
		$userInfo['price']['twelve'] = 192.00;
		break;
		
	case "C2":		
		$userInfo['price']['six'] = 120.00;
		$userInfo['price']['twelve'] = 240.00;
		break;
}



?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Keywords" content="" />
	<meta name="Description" content="" />
	<meta name="city" content="" />
	<meta name="state" content="" /> 
	<meta name="country" content="United States" />
	<meta name="zipcode" content="" />
	
	<title>Welcome to RVAEats</title>

	<link rel="SHORTCUT ICON" href="" /> 
	<link rel="stylesheet" href="/css/style.css" type="text/css" media="screen" />
	
	<!--[if IE 7]>
	<style type = "text/css" media = "screen"> @import "/css/ie7.css";</style>
	<![endif]-->	
	<!--[if lte IE 6]>
	<style type = "text/css" media = "screen"> @import "/css/ie6.css";</style>
	<![endif]-->

</head>
<body>
	<div id = "header">
		<h1></h1>
		<p class = "tagline">Satisyfing Richmond's Appetite<br /> <span>The definitive guide to where it's at in Richmond's restaurant community.</span></p>		
	</div> <!-- // header -->
	<div id="contentContainer">
		<div id = "content" class = "clearfix">	
			<div class="single">
				<h2>Payment Information</h2>
				<p>You are almost done. Please choose from Visa, Mastercard, or AMEX below. You have the choice of paying in 6 or 12 month increments and these payments are reoccurring.</p>
				<p><span class="highlight">Since the site has not launched yet, your credit card will NOT be charged until the website is live. We project a full launch by March 15th.</span></p>
				
				<form action="processing.php" method="post">
					<ul class="form">
						<h3 class="alt">Package Details</h3>
							<ul>
								<li><strong>Payment Options:</strong></li>
								<li class="radio"><input type="radio" name="cost" id="sixMon" value="<?php echo $userInfo['price']['six']; ?>" /><label for="sixMon">$<?php echo $userInfo['price']['six']; ?> every 6 Months</label></li>
								<li class="radio"><input type="radio" name="cost" id="twelveMon" value="<?php echo $userInfo['price']['twelve']; ?>" /><label for="twelveMon">$<?php echo $userInfo['price']['twelve']; ?> every 12 Months</label></li>
							</ul>

						<h3 class="alt">Credit Card Information</h3>

						<li><label for="ccType">Card Type</label><img src="/img/credit_card_logos.jpg" alt="Credit Card Logos" /></li>
						<li><label for="ccName">Full Name</label><input type="text" name="ccName" class="textbox" id="ccName" value="" /></li>
						<li><label for="ccNum">Credit Card Number</label><input type="text" name="ccNum" class="textbox" id="ccNum" value="" /> (no spaces)</li>
						<li><label for="ccExp">Exp Date</label>
							<select name="month" id="month">
								<option value="01">Jan (01)</option>
								<option value="02">Feb (02)</option>
								<option value="03">Mar (03)</option>
								<option value="04">Apr (04)</option>
								<option value="05">May (05)</option>
								<option value="06">Jun (06)</option>
								<option value="07">Jul (07)</option>
								<option value="08">Aug (08)</option>
								<option value="09">Sep (09)</option>
								<option value="10">Oct (10)</option>
								<option value="11">Nov (11)</option>
								<option value="12">Dec (12)</option>
							</select>
							
							<select name="year" id="year">
								<option value="2008">2008</option>
								<option value="2009">2009</option>
								<option value="2010">2010</option>
								<option value="2011">2011</option>
								<option value="2012">2012</option>
								<option value="2013">2013</option>
							</select>
						</li>
						
						<li><label for="ccCVV">CVV Number</label><input type="text" name="ccCVV" class="zip textbox" id="ccCVV" value="" /></li>
						
						<li><input type="submit" name="submit" id="submit" value=" Submit Payment and Create My Account " /></li>
					</ul>
					<p>* Depending on your package, we will contact you to gather more information after your account is submitted.</p>
					
					<!-- All the user info -->
					
					<input type="hidden" name="username" value="<?php echo $userInfo['username']; ?>" />
					<input type="hidden" name="fname" value="<?php echo $userInfo['fname']; ?>" />
					<input type="hidden" name="lname" value="<?php echo $userInfo['lname']; ?>" />
					<input type="hidden" name="email" value="<?php echo $userInfo['email']; ?>" />
					<input type="hidden" name="phone" value="<?php echo $userInfo['phone']; ?>" />
					<input type="hidden" name="rName" value="<?php echo stripslashes($userInfo['rName']); ?>" />
					<input type="hidden" name="rAddress" value="<?php echo stripslashes($userInfo['rAddress']); ?>" />
					<input type="hidden" name="rCity" value="<?php echo $userInfo['rCity']; ?>" />
					<input type="hidden" name="rZip" value="<?php echo $userInfo['rZip']; ?>" />
					<input type="hidden" name="rPhone" value="<?php echo $userInfo['rPhone']; ?>" />
					<input type="hidden" name="rFax" value="<?php echo $userInfo['rFax']; ?>" />
					<input type="hidden" name="package" value="<?php echo $userInfo['package']; ?>" />
					<input type="hidden" name="siteSponsorInfo" value="<?php echo $userInfo['siteSponsorInfo']; ?>" />
					
					
				</form>
				
				<p><a href="privacy.php">Privacy Statement</a> | <a href="security.php">Security Capabilities and Policies</a> | <a href="cancellation.php">Cancellation</a></p>	
			
			</div><!-- single -->
		</div>	<!-- content -->
	</div> <!-- // contentContainer -->
</body>
</html>