<?php
class DashboardController extends AppController {

	var $name = 'Dashboard';
	var $components = array('RequestHandler');	
	var $helpers = array('Html', 'Form', 'Text', 'Tagcloud');
	var $uses = array('Restaurant', 'Users', 'Tags');
	
	function beforeFilter() {
		parent::beforeFilter();	
	} // beforeFilter
	
	function admin_index() {
		$this->Restaurant->recursive = -1;
		$recentRestaurants = $this->Restaurant->find('all', array('order' => 'Restaurant.updated DESC' ,'limit' => 5));
		
		$conditions = 'Restaurant.inaccurate > 0';
		$inaccurateRestaurants = $this->Restaurant->find('all', array('conditions' => $conditions, 'order' => 'Restaurant.inaccurate DESC', 'limit' => 10));
		
		$votedRestaurants = $this->Restaurant->find('all', array('order' => 'Restaurant.rating_votes DESC, Restaurant.rating_sum DESC', 'limit' => 10));
		
		//$partialRestaurants = $this->Restaurant->find('partial', array('limit' => 10, 'order' => 'Restaurant.updated DESC'));
		
		$this->set(compact(
			'recentRestaurants', 
			'inaccurateRestaurants', 
			'partialRestaurants', 
			'votedRestaurants'
		));
	} // admin_index
} // class