<div class="comments index">
<h2><?php __('Comments');?></h2>
<p>
<?php
echo $paginator->counter(array(
'format' => __('Page %page% of %pages%, showing %current% records out of %count% total, starting on record %start%, ending on %end%', true)
));
?></p>
<table cellpadding="0" cellspacing="0">
<tr>
	<th><?php echo $paginator->sort('id');?></th>
	<th><?php echo $paginator->sort('restaurant_id');?></th>
	<th><?php echo $paginator->sort('author_name');?></th>
	<th><?php echo $paginator->sort('author_email');?></th>
	<th><?php echo $paginator->sort('author_url');?></th>
	<th><?php echo $paginator->sort('comment');?></th>
	<th><?php echo $paginator->sort('created');?></th>
	<th><?php echo $paginator->sort('modified');?></th>
	<th><?php echo $paginator->sort('spam');?></th>
	<th class="actions"><?php __('Actions');?></th>
</tr>
<?php
$i = 0;
foreach ($comments as $comment):
	$class = null;
	if ($i++ % 2 == 0) {
		$class = ' class="altrow"';
	}
?>
	<tr<?php echo $class;?>>
		<td>
			<?php echo $comment['Comment']['id']; ?>
		</td>
		<td>
			<?php echo $html->link($comment['Restaurant']['name'], array('controller'=> 'restaurants', 'action'=>'view', $comment['Restaurant']['id'])); ?>
		</td>
		<td>
			<?php echo $comment['Comment']['author_name']; ?>
		</td>
		<td>
			<?php echo $comment['Comment']['author_email']; ?>
		</td>
		<td>
			<?php echo $comment['Comment']['author_url']; ?>
		</td>
		<td>
			<?php echo $comment['Comment']['comment']; ?>
		</td>
		<td>
			<?php echo $comment['Comment']['created']; ?>
		</td>
		<td>
			<?php echo $comment['Comment']['modified']; ?>
		</td>
		<td>
			<?php echo $comment['Comment']['spam']; ?>
		</td>
		<td class="actions">
			<?php echo $html->link(__('View', true), array('action'=>'view', $comment['Comment']['id'])); ?>
			<?php echo $html->link(__('Edit', true), array('action'=>'edit', $comment['Comment']['id'])); ?>
			<?php echo $html->link(__('Delete', true), array('action'=>'delete', $comment['Comment']['id']), null, sprintf(__('Are you sure you want to delete # %s?', true), $comment['Comment']['id'])); ?>
		</td>
	</tr>
<?php endforeach; ?>
</table>
</div>
<div class="paging">
	<?php echo $paginator->prev('<< '.__('previous', true), array(), null, array('class'=>'disabled'));?>
 | 	<?php echo $paginator->numbers();?>
	<?php echo $paginator->next(__('next', true).' >>', array(), null, array('class'=>'disabled'));?>
</div>
<div class="actions">
	<ul>
		<li><?php echo $html->link(__('New Comment', true), array('action'=>'add')); ?></li>
		<li><?php echo $html->link(__('List Restaurants', true), array('controller'=> 'restaurants', 'action'=>'index')); ?> </li>
		<li><?php echo $html->link(__('New Restaurant', true), array('controller'=> 'restaurants', 'action'=>'add')); ?> </li>
	</ul>
</div>
