<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title><?php echo $title_for_layout; ?> - rvaeats</title>

	<link rel="SHORTCUT ICON" href="favicon.ico" />

	<?php echo $html->css(array('admin')); ?>

	<?php echo $javascript->link(array('http://rvanews.com/wp-content/themes/rvanews/js/jquery.js', 
									   'lowpro',
									   'http://rvanews.com/wp-content/themes/rvanews/js/jqueryui.js', 
									   'rvaeats'))?>	
	<?php echo $scripts_for_layout; ?>

</head>
<body>
<div id="page">
	<div id="header">
		<div class = "siteInside">
			<div class = "header wrapper">
			<h1>rvaeats</h1> <p>| <a href = "<?php echo $html->base; ?>">view site &raquo;</p>
			</div>
			<div id = "user_info"><?php echo $html->link('Log out', array('admin' => false, 'controller' => 'users', 'action' => 'logout'))?></div>
		</div> <!-- // siteInside -->
	</div>
	<div id="navigation">
		<div class = "siteInside">
			<ul class="tabs">
				<li class = "first"><a href = "<?php echo $html->base; ?>/admin">Admin home</a></li>
				<li><?php echo $html->link('Restaurants', array('controller' => 'restaurants', 'action' => 'index')); ?></li>
				<li><?php echo $html->link('Cuisines', array('controller' => 'cuisines', 'action' => 'index')); ?></li>												
				<li><?php echo $html->link('Areas', array('controller' => 'areas', 'action' => 'index')); ?></li>								
				<li><?php echo $html->link('Tags', array('controller' => 'tags', 'action' => 'index')); ?></li>
				<li><?php echo $html->link('Pictures', array('controller' => 'pictures', 'action' => 'index')); ?></li>				
				<li class = "last"><?php echo $html->link('Users', array('controller' => 'users', 'action' => 'index')); ?></li>								
			</ul>
		</div> <!-- // siteInside -->
	</div>
	<div id="body" class="wrapper">
		<div class = "siteInside">
			<?php if($renewalRestaurants) : ?>
				<div class = "message notice">
					<a href = "<?php echo $html->base; ?>/admin/restaurants/renewal">There are <strong><?php echo $renewalRestaurants; ?></strong> restaurants that are up for renewal &raquo;</a>
				</div>
			<?php endif; ?>
			<?php $session->flash(); ?>
			<?php echo $content_for_layout; ?>
		</div> <!-- // siteInside -->
	</div>
</div>
</body>
</html>