<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Keywords" content="" />
	<meta name="Description" content="" />
	<meta name="city" content="" />
	<meta name="state" content="" /> 
	<meta name="country" content="United States" />
	<meta name="zipcode" content="" />
	
	<title>Welcome to RVAEats</title>

	<link rel="SHORTCUT ICON" href="" /> 
	<link rel="stylesheet" href="/css/style.css" type="text/css" media="screen" />
	
	<!--[if IE 7]>
	<style type = "text/css" media = "screen"> @import "/css/ie7.css";</style>
	<![endif]-->	
	<!--[if lte IE 6]>
	<style type = "text/css" media = "screen"> @import "/css/ie6.css";</style>
	<![endif]-->
	
	<?php /*
	<script src="/js/prototype.js" type="text/javascript"></script>
	<script src="/js/lowpro.packed.js" type="text/javascript"></script>	
	<script src="/js/scriptaculous.js?load=effects,builder" type="text/javascript"></script>
	<script src="/js/vcom.js" type="text/javascript"></script>
	*/?>
	<?php //echo $scripts_for_layout; ?>
</head>
<body>
	<div id = "header">
		<h1>RVAEats</h1>
		<p class = "tagline">Find Richmond, Virginia's finest cuisines and local<br /> hot spots including restaurant listings, reviews, and menus.</p>		
	</div> <!-- // header -->
	
	<div id = "content">
		<div class="single">
			<h2>Payment Information</h2>
			<p>You are almost done. Please choose from Visa, Mastercard, or AMEX below. You have the choice of paying in 6 or 12 month increments and these payments are reoccurring.</p>
			<p><span class="highlight">Since the site has not launched yet, your credit card will NOT be charged until the website is live. We project a full launch by March 15th.</span></p>
			
			<form action="/pages/reciept" method="post">
				<ul class="form">
					<h3 class="alt">Account Details</h3>
						<ul>
							<li><strong>Payment Options:</strong></li>
							<li class="radio"><input type="radio" name="cost" id="sixMon" value="60" /><label for="sixMon">$60 every 6 Months</label></li>
							<li class="radio"><input type="radio" name="cost" id="twelveMon" value="120" /><label for="twelveMon">$120 every 12 Months</label></li>
						</ul>
					<h3 class="alt">Billing Address</h3>
					<li><label for="bName">Full Name</label><input type="text" name="bName" class="textbox" id="bName" value="" /></li>
					<li><label for="bAddress">Address</label><input type="text" name="bAddress" class="address textbox" id="bAddress" value="" /></li>
					<li><label for="bAddress2">Address 2</label><input type="text" name="bAddress2" class="address textbox" id="bAddress2" value="" /></li>
					<li><label for="bCity">City, State Zip</label><input type="text" name="bCity" class="textbox" id="bCity" value="" />, <input type="text" name="bState" class="state textbox" id="bState" value="" />&nbsp;&nbsp;&nbsp;<input type="text" name="bZip" class="zip textbox" id="bZip" value="" /></li>
					
					<h3 class="alt">Credit Card Information</h3>
					<li><label for="ccType">Card Type</label>
						<select name="ccType" id="ccType">
							<option value="visa">Visa</option>
							<option value="mc">Mastercard</option>
						</select>
					</li>
					<li><label for="ccName">Name</label><input type="text" name="ccName" class="textbox" id="ccName" value="" /></li>
					<li><label for="ccNum">Credit Card Number</label><input type="text" name="ccNum" class="phone textbox" id="ccNum" value="" /></li>
					<li><label for="ccExp">Exp Date</label>
						<select name="month" id="month">
							<option value="01">Jan (01)</option>
							<option value="02">Feb (02)</option>
							<option value="03">Mar (03)</option>
							<option value="04">Apr (04)</option>
							<option value="05">May (05)</option>
							<option value="06">Jun (06)</option>
							<option value="07">Jul (07)</option>
							<option value="08">Aug (08)</option>
							<option value="09">Sep (09)</option>
							<option value="10">Oct (10)</option>
							<option value="11">Nov (11)</option>
							<option value="12">Dec (12)</option>
						</select>
						
						<select name="year" id="year">
							<option value="2008">2008</option>
							<option value="2009">2009</option>
							<option value="2010">2010</option>
							<option value="2011">2011</option>
							<option value="2012">2012</option>
							<option value="2013">2013</option>
						</select>
					</li>
					
					<li><label for="ccCVV">CVV Number</label><input type="text" name="ccCVV" class="state textbox" id="ccCVV" value="" /></li>
					
					<li><input type="submit" name="submit" id="submit" value=" Submit Payment and Create My Account " /></li>
				</ul>
				<p>* You will be able to fill out more information once your account is activated.</p>
				
			</form>
			
			<p><a href="">Privacy Statement</a> | <a href="">Security Capabilities and Policies</a></p>
			
		</div><!-- single -->
	</div> <!-- // content -->
</body>
</html>