<div class="restaurants index">
<?php //debug($restaurants);?>
<h2>Restaurants up for renewal</h2>
<div class="actions">
	<ul>
		<li><?php echo $html->link(__('New restaurant', true), array('action'=>'add')); ?></li>
		<li><?php echo $html->link(__('View upgraded restaurants', true), array('action'=>'upgraded')); ?></li>		
	</ul>
</div>
<table cellpadding="0" cellspacing="0">
<tr>
	<th><?php echo $paginator->sort('name');?></th>
	<th><?php echo $paginator->sort('street');?></th>
	<th><?php echo $paginator->sort('upgraded');?></th>	
	<th class="actions"><?php __('Actions');?></th>
</tr>
<?php
$i = 0;
foreach ($restaurants as $restaurant):
	$class = null;
	if ($i++ % 2 == 0) {
		$class = ' class="altrow"';
	}
?>
	<tr<?php echo $class;?>>
		<td>
			<a href = "<?php echo $html->base; ?>/admin/restaurants/edit/<?php echo $restaurant['Restaurant']['id']; ?>"><?php echo $restaurant['Restaurant']['name']; ?></a>
		</td>
		<td>
			<?php echo $restaurant['Restaurant']['street']; ?>
		</td>
		<td>
			<?php echo date(Configure::read('Date.Format'), strtotime($restaurant['Restaurant']['upgraded'])); ?>			
		</td>
		<td class="actions">
			<?php echo $html->link(__('View', true), array('action'=>'view', $restaurant['Restaurant']['slug'], 'admin' => false)); ?> | 
			<?php echo $html->link(__('Edit', true), array('controller' => 'restaurants', 'action'=>'edit', 'admin' => false, $restaurant['Restaurant']['id'])); ?> |
			<?php echo $html->link(__('Administer', true), array('controller' => 'restaurants', 'action'=>'edit', $restaurant['Restaurant']['id'])); ?> |
			<?php echo $html->link(__('Delete', true), array('action'=>'delete', $restaurant['Restaurant']['id']), null, sprintf(__('Are you sure you want to delete # %s?', true), $restaurant['Restaurant']['name'])); ?>
		</td>
	</tr>
<?php endforeach; ?>
</table>
</div>
<div class="paging">
	<?php echo $paginator->prev('<< '.__('previous', true), array(), null, array('class'=>'disabled'));?>
 | 	<?php echo $paginator->numbers();?>
	<?php echo $paginator->next(__('next', true).' >>', array(), null, array('class'=>'disabled'));?>
</div>