TagCloud = $.klass({
	taglist: null,
	
	initialize: function(taglist) {
		this.taglist = $(taglist);
	},
	onclick: $.delegate({
		'.cloudlink a': function(e) { return this.toggleCloud(e); },
		'.tags a': function(e) { return this.add(e); }
	}),
	toggleCloud: function(e) {
		var tags = $($(e.target).parent()).next()[0];
		$(tags).toggle();
		return false;
	},
	add: function(e) {
		this.taglist.text(this.taglist.text() + ', ' + $(e.target).text());
		return false;
	}
}); // TagCloud

// ----------------------------------------------------------------------------

$(document).ready( function() {
	$('.geocode').click(function() {
		$(this).text('Guessing ...');
		var m = new Mapping();
		var self = $(this);
		var address = $('#RestaurantStreet').val() + 'Richmond VA';
		m.geocode(address, function(latlon) {
			$('#RestaurantLat').val(latlon.lat);
			$('#RestaurantLon').val(latlon.lon);
			self.text('Guess lattitude & longitude');
		});
		return false;
	});	
	
	$('.googleMap').click(function() {
		var address = $('#RestaurantStreet').val() + ' Richmond VA';
		window.location = 'http://maps.google.com/?q=' + address;
		return false;
	});	
	
	$('.tagcloud').attach(TagCloud,'#RestaurantTaglist');
	$('textarea.tinymce').tinymce({
		script_url : 'http://rvanews.com/eats/js/tiny_mce/tiny_mce.js',
		theme : "advanced",
		theme_advanced_buttons1 : "bold,italic,underline,|,link,unlink,|,bullist,numlist,blockquote,|,cleanup",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		theme_advanced_toolbar_location : "top"
	});			
});
