SearchMapContainer = $.klass(MapContainer, {
	loadMapData: function() {
		var cuisine = $('#ecuisine').val();
		var self = this;
		$.post("/eats/restaurants/vegetarian.json", {}, function(restaurants){
			if(restaurants.length > 0) {
				$.each(restaurants, function(){
					$(this).data('Point', {
						'lat': this.Restaurant.lat,
						'lon': this.Restaurant.lon,					
						'text': self.buildInfoWindow(this)				
					});
				});
				self.plotPointsJSON(restaurants);
			}
		}, 'json');		
	}
}); // SearchMapContainer

$(document).ready( function() {
	$('#mapContainer').attach(SearchMapContainer);	
});