<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<meta name="Keywords" content="" />
	<meta name="Description" content="" />
	<meta name="city" content="" />
	<meta name="state" content="" /> 
	<meta name="country" content="United States" />
	<meta name="zipcode" content="" />
	
	<title>Welcome to RVAEats</title>

	<link rel="SHORTCUT ICON" href="" /> 
	<link rel="stylesheet" href="/css/style.css" type="text/css" media="screen" />
	
	<!--[if IE 7]>
	<style type = "text/css" media = "screen"> @import "/css/ie7.css";</style>
	<![endif]-->	
	<!--[if lte IE 6]>
	<style type = "text/css" media = "screen"> @import "/css/ie6.css";</style>
	<![endif]-->

	<script src="/js/prototype.js" type="text/javascript"></script>
	<script src="/js/lowpro.js" type="text/javascript"></script>	
	<script src="/js/scriptaculous.js?load=effects" type="text/javascript"></script>	
	<script src="/js/rvaeats.js" type="text/javascript"></script>	
	<?php echo $scripts_for_layout; ?>	
	
	<?php /*
	<script src="/js/scriptaculous.js?load=effects,builder" type="text/javascript"></script>
	<script src="/js/vcom.js" type="text/javascript"></script>
	*/?>
	<?php //echo $scripts_for_layout; ?>
</head>
<body>
	<div id = "header">
		<h1></h1>
		<p class = "tagline">Satisyfing Richmond's Appetite<br /> <span>The definitive guide to where it's at in Richmond's restaurant community.</span></p>		
	</div> <!-- // header -->
	<div id="contentContainer">
		<div id = "content" class = "clearfix">	
			<div class="single">
				<h2>Privacy Policy</h2>
				<p>RVAEats.com (run by PharrOut LLC) respects your privacy and is committed to protecting it. This document describes the RVAEats.com Consumer Data Privacy Policy, that is, how we protect your privacy and treat your data when you submit personal information to us. The technical aspects of privacy protection, such as encryption and data transfer security, are described in the document Transaction Security Capabilities And Policies.</p>
				<p>RVAEats.com reoccurring transactions and listing application requires several pieces of general contact information. Some of them are compulsory, others optional. The fields are:</p>
					<ul>
						<li>Your name</li>
						<li>Address</li>
						<li>E-mail address</li>
						<li>Telephone number</li>
						<li>Credit Card number</li>
						<li>Credit Card Expiration Date</li>
						<li>Credit Card Verification Code (CVV)</li>
						<li>Restaurant Name, Phone, Address</li>
					</ul>
				<p>RVAEats.com will store your name and address through email for recognition purposes. Your information WILL NOT be shown to third parties not involved in the transaction, nor used to send you any unrequested information. We will only contact you to gather information on your account or provide additional details on your account and listing.</p>
				<p>In addition to your contact information, the following payment information is necessary to process your listing on the site.</p>
					<ul>
						<li>Credit card number</li>
						<li>Credit card verification code</li>
						<li>Expiration date of credit card</li>
						<li>Name as it appears on card</li>
					</ul>
				<p>The credit card information is sent directly to our payment provider (Authorize.net) who processes your listing fee. The credit card information is neither recorded nor stored by RVAEats.com or PharrOut, LLC, and it can only be accessed by our payment provider. The transaction has a very high level of security as described in the document Transaction Security Capabilities And Policies.</p>
				<hr />
				<p>
					<strong>RVAEats Address:</strong><br />
					1205 West Main Street, 211<br />
					Richmond, VA  23220<br />
					<br />
					(804)-332-5652<br />
					<a href="mailto:info@rvaeats.com">info@rvaeats.com</a>
				</p>
				<hr />
				<p><a href="/signup">Sign Up</a> | <a href="privacy.php">Privacy Statement</a> | <a href="security.php">Security Capabilities and Policies</a> | <a href="cancellation.php">Cancellation Policy</a></p>	
			</div><!-- single -->
		</div>	<!-- content -->
	</div> <!-- // contentContainer -->
</body>
</html>